For the complete documentation index, see llms.txt. This page is also available as Markdown.

Multi Merchant

The Multi Merchant endpoints let you manage parent and child POI relationships in a multi-merchant hierarchy.

API Reference

Get Multi-Merchant Parent Record

Get multi merchant parent record.

get

Get the parent multi merchant POI record associated with this POI.

Path parameters
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Responses
200

Multi Merchant Parent (owner) POI.

application/json
altVfiPoiIdstring · max: 12Optional

An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This is also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may also be used per contract if required.

This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid which is returned on the response.

Example: 1004631982
estateManagementIdstringOptional

This has very specific meaning as an identifier used for Estate Management. This should generally be left blank as Verifone will allocate this ID.

In VHQ this is related to the deviceId.

serialNumberstring · max: 25Optional

The serial number of the physical device

namestring · max: 35Optional

The name used to represent this POI. This is a label not an identifier.

descriptionstring · max: 30Optional

An optional value where some Merchant specific entry is associated with a POI.

statusstring · enumRequiredPossible values:
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
get/pois/{poiUid}/parentPoi

Move Child POIs to a New Parent

Move child POIs to a new parent.

post

Move existing child POI records to a new multi merchant parent POI.

Path parameters
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Body
newParentPoiUidstring · uuidRequired

The Verifone allocated unique id for the target parent POI. This can be an existing MULTI_MERCHANT POI or an existing POINT_OF_SALE/STANDALONE POI.

If this is a POINT_OF_SALE/STANDALONE POI a new MULTI_MERCHANT POI will be created transparently based on the details from this POI. This MULTI_MERCHANT POI will be linked to the same entity as the selected POI.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Responses
200

Multi Merchant Parent POI.

application/json
altVfiPoiIdstring · max: 12Optional

An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This is also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may also be used per contract if required.

This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid which is returned on the response.

Example: 1004631982
estateManagementIdstringOptional

This has very specific meaning as an identifier used for Estate Management. This should generally be left blank as Verifone will allocate this ID.

In VHQ this is related to the deviceId.

serialNumberstring · max: 25Optional

The serial number of the physical device

namestring · max: 35Optional

The name used to represent this POI. This is a label not an identifier.

descriptionstring · max: 30Optional

An optional value where some Merchant specific entry is associated with a POI.

statusstring · enumRequiredPossible values:
poiUidstring · uuidRequired

The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
post/pois/{poiUid}/childPois/move

Last updated

Was this helpful?